DECLARE SUB KEYBOARD ()
DECLARE SUB hebchar ()



CHDIR "c:\"

DO

PRINT "<1> - load mtr fonts"
PRINT "<2> - mtr.com"
PRINT "<3> - ASCII TEST "
PRINT "<4> - HEB TYPER "

INPUT "1,2,3"; CH$

 SELECT CASE CH$
  CASE IS = "1"
   SHELL "c:\mtr.bat"
  CASE IS = "2"
   SHELL "c:\mtr\mtr\mtr.com"
  CASE IS = "3"

   CALL hebchar
 CASE IS = "4"
   CALL KEYBOARD

 END SELECT

LOOP UNTIL CH$ = "x" OR CH$ = "X"

SUB hebchar


CLS

CH = 7
DO

PRINT CHR$(CH); " "; CH; " ";

CH = CH + 1


LOOP UNTIL CH >= 154

PRINT
END SUB

SUB KEYBOARD
CLS

Y = 1
DO

CH$ = INKEY$


  N = 0
 SELECT CASE (CH$)
  CASE IS = "E"
  N = 151
  CASE IS = "R"
  N = 133

  CASE IS = "T"
  N = 128

  CASE IS = "Y"
  N = 136

  CASE IS = "U"
  N = 137

  CASE IS = "I"
  N = 133

  CASE IS = "O"
  N = 141

  CASE IS = "P"
  N = 148
 
  CASE IS = "A"
  N = 153

  CASE IS = "S"
  N = 134
 
  CASE IS = "D"
  N = 130

  CASE IS = "F"
  N = 139

  CASE IS = "G"
  N = 146

  CASE IS = "H"
  N = 137

  CASE IS = "J"
  N = 135

  CASE IS = "K"
  N = 140

  CASE IS = "L"
  N = 143

  CASE IS = ";"
  N = 147

  CASE IS = "Z"
  N = 134

  CASE IS = "X"
  N = 126

  CASE IS = "C"
  N = 129

  CASE IS = "V"
  N = 132

  CASE IS = "B"
  N = 144

  CASE IS = "N"
  N = 142

  CASE IS = "M"
  N = 150

  CASE IS = ","
  N = 154

  CASE IS = "."
  N = 149







 END SELECT
  IF N <> 0 THEN CH$ = CHR$(N)

IF CH$ <> "" THEN

 PRINT N; " ";
 
 IF CH$ <> CHR$(8) AND CH$ <> CHR$(13) THEN TXT$ = CH$ + TXT$
END IF





 IF CH$ = CHR$(8) THEN
  L = LEN(TXT$)
   IF L > 0 THEN TXT$ = RIGHT$(TXT$, L - 1)
 END IF

 IF CH$ = CHR$(13) THEN Y = Y + 1: TXT$ = "": CH$ = ""

LOCATE Y, 78 - LEN(TXT$)

IF Y > 22 THEN Y = 22

PRINT NN$ + TXT$;

IF TIME$ <> LTIME$ THEN OPP = OPP + 1: LTIME$ = TIME$


IF OPP > 2 THEN OPP = 1
IF OPP = 1 THEN NN$ = CHR$(95)
IF OPP = 2 THEN NN$ = " "

LOOP UNTIL CH$ = CHR$(27)


END SUB

